NAME := main
RM := rm
TEX := lualatex
BIB := biber
PANDOC := pandoc
LUA := lualatex --luaonly
TEXFLAGS := --interaction=nonstopmode --output-directory=./output/
BIBFLAGS := --input-directory=./output --output-directory=./output/

PRINTFORMAT := "\033[1;92;49m%s\033[m\n"

MAIN := $(addsuffix .tex,${NAME})

.PHONY: ${MAIN} clean

all: ${MAIN}

generate:
	${LUA} generate-main.lua

${MAIN}:
	@mkdir -p output
	@printf ${PRINTFORMAT} "[1/4] First Compilation"
	-${TEX} ${TEXFLAGS} ./${NAME}.tex
	@printf ${PRINTFORMAT} "[2/4] Bib Generation"
	${BIB} ${BIBFLAGS} ${NAME}
	@printf ${PRINTFORMAT} "[3/4] Second Compilation"
	-${TEX} ${TEXFLAGS} ./${NAME}.tex
	@printf ${PRINTFORMAT} "[4/4] Final Compilation"
	${TEX} ${TEXFLAGS} ./${NAME}.tex

clean:
	${RM} ./output/{*.aux,*.log,*.out,*.blg,*.bcf,*.bbl,*.xml}
